# Procédure de mise à jour

GTF dispose d’un installateur spécifique VAI qui permet d’assurer l’installation et la mise à jour du produit sans perte de configuration ni de données.

## 1. Prérequis

Avant toute mise à jour de GTF, pensez à sauvegarder tous les fichiers que vous avez pu modifier, en dehors de l'application. (properties du moteur, licence GTF, license(s) FME, templates de mail pour la création de compte / récupération de mot de passe, ...).  

## 2. Mise à jour de GTF

Pour mettre à jour GTF, éditez le fichier update.cmd (Windows) ou update.sh (Linux) afin de définir les paramètres de votre installation.

Les variables à modifier pour la mise à jour sont :

<table align="center" class="docutils" border="1">
<thead valign="middle" align="center">
  <tr class="row-odd">
   <td>
   <b>Variable</b>
   </td>
   <td>
   <b>Description</b>
   </td>
  </tr>
</thead>

<tbody valign="middle">
<tr class="row-even">
 <td>
 dir
 </td>
 <td>
 Répertoire d'installation (/var/www/gtf préférable pour Linux C:/server/gtf conseillé pour Windows)
 </td>
</tr>

<tr class="row-odd">
  <td>
  dblogin
  </td>
  <td>
  Compte d'un superutilisateur de la base
  </td>
</tr>

<tr class="row-odd">
  <td>
  dbpswd
  </td>
  <td>
  Mot de passe du compte superutilisateur
  </td>
</tr>

<tr class="row-odd">
  <td>
  apacheService
  </td>
  <td>
  Nom du service Apache exploité par l'application
  </td>
</tr>

<tr class="row-odd">
  <td>
  apachePort
  </td>
  <td>
  Port du service https du serveur Apache
  </td>
</tr>

</tbody>
</table>

L’installateur de GTF (en mise à jour) assure les opérations suivantes :
- Copie du code du serveur d’application Vitis
- Copie du code du moteur GTF
- Mise à jour du PHP
- Configuration du serveur HTTPS Apache
- Mise à jour de la base de données dans PostgreSQL

Sur Linux, donner les droits d’exécution aux fichiers update.sh et setup_gtf-[version_gtf].[build_gtf].
```
chmod +x update.sh
chmod +x setup_gtf-[version_gtf].[build_gtf]
```

Exécutez le script update.cmd ou update.sh pour lancer l’installation.

Sur Windows, il faut attendre une minute environ pour avoir un retour dans la console.

## 3. Spécificités liées aux versions

### Version 2019.01.00

#### Tâches planifiées

Dans GTF vous pouvez désormais planifier l'éxécution d'une demande. Pour que cette fonctionnalité fonctionne correctement il faut que votre base de données utilise le fuseau horraire **UTC**. Si ce n'est pas le cas vous devrez éxecuter la requête suivante en remplaçant **[db_name]** par le nom de la base de GTF :

```
ALTER DATABASE [db_name] SET timezone ='UTC';
```

#### SMTP

Les properties liées aux paramètrage SMTP ont été déplacées dans les properties de Vitis.

**<u>Liste des properties concernées :</u>**

```
$properties['mail_sender'] = '************';
$properties['nickname_sender'] = 'GTF v2019';
$properties['smtp_host'] = '************';
$properties['smtp_port'] = 587;
$properties['smtp_authentification'] = true;
$properties['smtp_login'] = '************';
$properties['smtp_password'] = '************';
```

Pour éviter que l'application n'utilise les informations de GTF à la place des properties de Vitis, il est préférable de déplacer la configuration SMTP du fichier **[dir]/vas/rest/conf/gtf/properties.conf** dans le fichier **[dir]/vas/rest/conf/properties.conf**.


#### Template de mail par défaut

Vous pourrez mettre à jour votre template de mail par défaut pour intégrer les nouvelles fonctionnalités :
- Cryptage du résultat des traitements FME
- Utilisation de l'interface de fichier pour délocalisation du système de fichiers
- Utilisation d'un proxy interne à l'application pour améliorer la sécurité de vos logs et résultats FME.

Dans la version **2019.01.00**, un nouveau template de mail fera son apparition **default-v2019.01.00**.

Si vous avez modifié le template de mail **default**, il faudra reprendre votre template pour intégrer les nouveautés de **default-v2019.01.00**.

Sinon, vous pourrez simplement copier-coller **default-v2019.01.00** dans **default**. Vous pouvez aussi ne pas tenir compte des ses améliorations, mais il est possible que votre template ne fonctionne plus lors de l'activation d'une nouvelle fonctionnalité.
